XPress - A theme and bridge for bringing WordPress into XenForo

XPress - A theme and bridge for bringing WordPress into XenForo 1.1.3 Patch Level 4

No permission to buy ($299.95)

Sperber

Well-known member
We are moving to a different support and pricing system just for this product.
Was a bit shocked, when I saw the new pricing with the newly added $200 to the previous base pice in XPress & XWiki. When this includes that Themehouse is setting up each linked instance while the support window is open and those work, I guess that´s okay. But what about the customers who bought their licenses before - without that setup service - and want to renew their licenses? The renewal prices have been, IIRC, 49 for XPress and 39 XWiki and now I notice this increased to the same price the customers bought their initial license. Is this intended..?
 

Sperber

Well-known member
@diretur , @adwolf1 , @SoulReplicant ,
I am having the same error and a ticket open for a month now. Just to clearify for me and may be helpful to narrow down the bug: are you experiencing the error while trying to link a second WP instance? Since that´s my situation. The first WP instance works without problems. For me it´s the second, in a subdir, that refuses to work.
 

Mike Creuzer

Well-known member
Was a bit shocked, when I saw the new pricing with the newly added $200 to the previous base pice in XPress & XWiki. When this includes that Themehouse is setting up each linked instance while the support window is open and those work, I guess that´s okay. But what about the customers who bought their licenses before - without that setup service - and want to renew their licenses? The renewal prices have been, IIRC, 49 for XPress and 39 XWiki and now I notice this increased to the same price the customers bought their initial license. Is this intended..?
The product requires too much effort on our part to keep the price lower. It essentially assumes there will be some help along the way as we've had every single customer require some one on one time. You'll still be able to submit tickets at no additional cost of course, its more just for first time buyers we want to be able to help do the installation by default. It'll make sure everyone moving forward gets started on the right foot. And the renew prices have changed a bit, I think we upped it a bit but not significantly since we are not requiring we do the upgrade. If you do want us to do the upgrade just submit a ticket we can take it from there.
@diretur , @adwolf1 , @SoulReplicant ,
I am having the same error and a ticket open for a month now. Just to clearify for me and may be helpful to narrow down the bug: are you experiencing the error while trying to link a second WP instance? Since that´s my situation. The first WP instance works without problems. For me it´s the second, in a subdir, that refuses to work.
Ill see to it @Lukas W. takes a look asap.
 

Sperber

Well-known member
The product requires too much effort on our part to keep the price lower. It essentially assumes there will be some help along the way as we've had every single customer require some one on one time. You'll still be able to submit tickets at no additional cost of course, its more just for first time buyers we want to be able to help do the installation by default. It'll make sure everyone moving forward gets started on the right foot. And the renew prices have changed a bit, I think we upped it a bit but not significantly since we are not requiring we do the upgrade. If you do want us to do the upgrade just submit a ticket we can take it from there.
Nah, I think it´s a good addition to make the initial setup to be required by themehouse, at least in the current state of XPress & XWiki, since I have and am encountering major issues with both. It's okay and understandable that the support effort doesn't make it possible anymore to sell the addon to new customers at the old price. But it just feels unpleasant if you bought something for a certain price with fixed renewal prices and now realize that they are simply knocked over, too. Don´t wanna sound like a greedy old bast**d (sure, I am like anyone else and the content of my wallet is finite, too ;) ), but may be you wanna think about applying the prices that were valid on the day of purchase to existing customers prior the price change since they don´t need the setup service anymore - they just need the bugs ironed out.
Ill see to it @Lukas W. takes a look asap.
Lukas is already in the loop and working on it.
 

SoulReplicant

New member
@diretur , @adwolf1 , @SoulReplicant ,
I am having the same error and a ticket open for a month now. Just to clearify for me and may be helpful to narrow down the bug: are you experiencing the error while trying to link a second WP instance? Since that´s my situation. The first WP instance works without problems. For me it´s the second, in a subdir, that refuses to work.
In my case it was the first instance. Fresh installations on both platforms.
 

adwolf1

Active member
@diretur , @adwolf1 , @SoulReplicant ,
I am having the same error and a ticket open for a month now. Just to clearify for me and may be helpful to narrow down the bug: are you experiencing the error while trying to link a second WP instance? Since that´s my situation. The first WP instance works without problems. For me it´s the second, in a subdir, that refuses to work.
The first instance, on a freshly spun up VM with LEMP. The link cannot be made; been at it for about 4 days now, still no solution, unfortunately!
It is probably a good thing that they are upping the price on the add-on and throwing in some support; sites that really need this functionality can pay for it. I have blown more than $300 of my own time trying to get these add-ons to work.

The code itself could probably use more robust exception handling and error reporting, because right now it feels like trial-and-error to try to track down this bug. (Lukas is trying hard, but after installing several revised versions of the Xpress and Xlink add-ons with no luck, I suspect that he's shooting in the dark -- the nginx logs and the error message about a failed link aren't enough.)
 

Sperber

Well-known member
Okay, then it´s not related to a first or second instance (and I can call myself lucky, that I had installed the first WP instance with one of the very first XLink/XPress releases, I guess.). A pity, as it would have cut down the places to look for that nasty bug :/
 

SoulReplicant

New member
Okay, then it´s not related to a first or second instance (and I can call myself lucky, that I had installed the first WP instance with one of the very first XLink/XPress releases, I guess.). A pity, as it would have cut down the places to look for that nasty bug :/
Are your instances (or you want them to be) in the same domain and/or server? If yes, it's even weirder but a comparission in the code for both versions should indicate the answer. Maybe if you offer restricted admin access to @Lukas W. to look in the server logs that could be helpful for everyone.
 

Sperber

Well-known member
I mean XP-XL working bridge (with previous versions) in the same server with the bad XP-XL non-working bridge.

And if @Sperber doesn't have set up that scenario, maybe he could do.
I guess Lukas has already created multiple scenario instances in his dev area to track that bug down and we should let him make the calls.
 

Thunderchild

New member
I am confused. where do I create pages? I have linked 2 wordpress installs, one for testing and one as the real deal. Th real deal one has now lost all of it's menu on the wordpress dashboard, the test one has them. why is this? if i can't add pages to the main one then how does this work? do i add the pages under xenoforo? the manual does not really seem to help much.
 

Lukas W.

Formerly katsulynx
I am confused. where do I create pages? I have linked 2 wordpress installs, one for testing and one as the real deal. Th real deal one has now lost all of it's menu on the wordpress dashboard, the test one has them. why is this? if i can't add pages to the main one then how does this work? do i add the pages under xenoforo? the manual does not really seem to help much.
If you don't see any WordPress menu items in the WordPress dashboard, you're on an account with only subscriber privileges. You can set up promotion rules in the XLink user settings to have your account automatically promoted to an Administrator.
 

Lukas W.

Formerly katsulynx
Regarding the issues: We've released XLink 1.0.6 as update for XLink to log all API errors to the file storage, so it's easier to track down the issue. Along with that we've updated our troubleshooting documentation. Everyone who currently had a ticket open with us regarding XPress should've received a beta version of the next update, which no longer disables API routes on a failed authentication. All these changes in conjunction should offer a clearer picture on what the specific problem(s) with your installations are. If you contact us, make sure to include your WordPress error log as well as the errors logged by XLink (see documentation link above).
 

Sperber

Well-known member
@diretur , @adwolf1 , @SoulReplicant ,
are you experiencing the same error, when going to Appearance -> Widgets ? When I click this, XLink tries to synch the widgets - and of course runs into the same error. That way I cannot do anything in that section, before I haven deactivated those [TH] Add-ons. Just curious, if this is just me.
 

Mike Creuzer

Well-known member
So an add-on costs more than the software it was programmed for... Not wearable for private people anymore.
Not exactly. For what this addon does, we would normally charge about $1500 a few years ago. So we are still saving our customers well over a thousand dollars. We added on a charge for around 2 hours of one on one help which should be seen as a service than the cost of the product. We tried to let people install it themselves but unfortunately its a technical product and people were not following the instructions (which I can understand as it requires somewhat advanced to expert level web development experience). The cost may go down eventually. I am doing the best I can to keep things affordable as it is. We considered taking it off the market altogether. This is the happy middle ground.

We also released a free product that just does user integration called the XPress Forum Bridge - Its free, and so support is limited of course. Doesn't do a lot of the complexities.
Just saw this? Does it work cross-domain?

View attachment 212085
Tagging @Lukas W. on this as actually Im not sure. ETA Yes it is
 
Last edited:
Top